package edu.ouc.mycloud.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.security.core.userdetails.UserDetails;

import edu.ouc.mycloud.model.User;
import edu.ouc.mycloud.service.RolService;
import edu.ouc.mycloud.service.StorageService;
import edu.ouc.mycloud.service.UserService;

public class MainController  {

	@Autowired
	private UserService userService;
	
	@Autowired
	private RolService rolService;
		
	@Autowired
	private StorageService storageService;
	
	protected User getPrincipal(){
        String userName = null;
        Object principal = SecurityContextHolder.getContext().getAuthentication().getPrincipal();
 
        if (principal instanceof UserDetails) {
            userName = ((UserDetails)principal).getUsername();
        } else {
            userName = principal.toString();
        }
        
        User user = this.userService.getUserByUserId(userName);        
        return user;
    }
	
		
	protected long getSpaceUserd(){
        User user = this.getPrincipal();        
        return this.storageService.getSpaceUserd(user);
    }
	
	protected long getNumberOfUsers(){              
        return this.userService.getNumberOfUsers();
    }
	
	protected long getNumberOfRoles(){              
        return this.rolService.getNumberOfRoles();
    }
	
	protected long getNumberOfVirtualFiles(){              
        return this.storageService.getNumberOfVirtualFiles();
    }
	
	protected long getNumberOfFiles(){              
        return this.storageService.getNumberOfFiles();
    }
		
}
