package edu.ouc.mycloud.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import edu.ouc.mycloud.model.Rol;
import edu.ouc.mycloud.model.User;
import edu.ouc.mycloud.service.RolService;
import edu.ouc.mycloud.service.UserService;


@Controller
public class RolesController extends MainController {

	@Autowired
	private RolService rolService;
			
	@RequestMapping(value = "/roles", method = RequestMethod.GET)
	public String listUsers(Model model) {
		model.addAttribute("listRoles", this.rolService.listRoles());
		model.addAttribute("userNameAuthenticated", this.getPrincipal());
		model.addAttribute("spaceUsed", this.getSpaceUserd());
		return "roles/list";
	}
	
	@RequestMapping(value = "/roles/add", method = RequestMethod.GET)
	public String newUser(Model model) {
		model.addAttribute("rol", new Rol());
		model.addAttribute("userNameAuthenticated", this.getPrincipal());
		model.addAttribute("spaceUsed", this.getSpaceUserd());
		return "roles/add";
	}
	
	@RequestMapping(value = "/roles/save", method = RequestMethod.POST)
	public String save(@ModelAttribute("rol") Rol rol) {
		this.rolService.addRol(rol);
		return "redirect:/roles";	
	}
		
	@RequestMapping("/roles/remove/{id}")
    public String removeUser(@PathVariable("id") int id){
		
        this.rolService.removeRol(id);
        return "redirect:/roles";
    }
	
	@RequestMapping("/roles/edit/{id}")
    public String editUser(@PathVariable("id") int id, Model model){
        model.addAttribute("rol", this.rolService.getRolById(id));
        model.addAttribute("userNameAuthenticated", this.getPrincipal());
        model.addAttribute("spaceUsed", this.getSpaceUserd());
        return "roles/edit";
    }
	
	@RequestMapping(value = "/roles/update", method = RequestMethod.POST)
	public String update(@ModelAttribute("rol") Rol rol) {
		this.rolService.updateRol(rol);
		return "redirect:/roles";	
	}	
}
