package edu.ouc.mycloud.dao;

import java.io.InputStream;
import java.util.List;

import org.springframework.web.multipart.MultipartFile;

import edu.ouc.mycloud.model.File;
import edu.ouc.mycloud.model.Shared;
import edu.ouc.mycloud.model.StoredFile;
import edu.ouc.mycloud.model.User;

public interface FileDAO {
	public List<File> listFiles();
	public List<File> listFiles(User user);
	public List<File> listFilesByParentFile(int id);
	public List<File> listParentByParentFile(int id);
	public List<File> listFilesByParentFile(int id, User loggedUser);
	public void addFile(File file);
	public void addFile(File file, MultipartFile document);
	public File getFileById(int id);
	public void updateFile(File file);
	public boolean removeFile(int id);
	public long getSpaceUserd(User user);
	public long getNumberOfVirtualFiles();
	public long getNumberOfFiles();
	public InputStream getStoredPhysicalFile(int id);
	public void setSharedFile(Shared shared);
	public Shared getFileByToken(String token);	
	void setDetelePublicSharedFiles(int id);	
}
