package edu.ouc.mycloud.dao;

import java.util.List;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import edu.ouc.mycloud.model.Rol;
import edu.ouc.mycloud.model.User;


@Repository("rolDao")
public class RolDAOImpl implements RolDAO{

private static final Logger logger = LoggerFactory.getLogger(RolDAOImpl.class);
	
	@Autowired
	private SessionFactory sessionFactory;
		
	public void addRol(Rol rol) {
		Session session = this.sessionFactory.getCurrentSession();
		session.persist(rol);
		logger.info("Rol saved successfully, Rol Details="+rol);		
	}

	public void updateRol(Rol rol) {
		Session session = this.sessionFactory.getCurrentSession();
		session.update(rol);
		logger.info("Rol updated successfully, Rol Details="+rol);		
	}

	@SuppressWarnings("unchecked")
	public List<Rol> listRoles() {
		Session session = this.sessionFactory.getCurrentSession();
		List<Rol> rolesList = session.createQuery("from Rol").list();
		for(Rol r : rolesList){
			logger.info("Rol List::"+r);
		}
		return rolesList;
	}

	public Rol getRolById(int id) {
		Session session = this.sessionFactory.getCurrentSession();		
		Rol rol = (Rol) session.load(Rol.class, new Integer(id));
		logger.info("Rol loaded successfully, Rol details="+rol);
		return rol;
	}

	public void removeRol(int id) {
		Session session = this.sessionFactory.getCurrentSession();
		Rol rol = (Rol) session.load(Rol.class, new Integer(id));
		if(null != rol){
			session.delete(rol);
		}
		logger.info("Rol deleted successfully, Rol details="+rol);
	}

	public long getNumberOfRoles() {
		Session session = this.sessionFactory.getCurrentSession();
		String hql = "select count(*) from Rol R";
		
		List fileList = session.createQuery(hql).list();;
		if (fileList.get(0)!=null)
		{
			return ((long) fileList.get(0));
		}
		else
		{
			return 0;
		}					
	}
	
	

}
