package edu.ouc.mycloud.model;

import java.io.Serializable;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.JoinTable;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;



@Entity
@Table(name="file")
public class File implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@Column(name="id")
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	private int id;
	
	public int getId() {
		return id;
	}
	
	public void setId(int id) {
		this.id = id;
	}
	
	private String filename;
	
	public String getFilename() {
		return filename;
	}
	
	public void setFilename(String filename) {
		this.filename = filename;
	}
	
	private Boolean isFolder;
	
	public Boolean getIsFolder() {
		return isFolder;
	}
	
	public void setIsFolder(Boolean isFolder) {
		this.isFolder = isFolder;
	}
	
	private Date storeddate;
	
	public Date getStoreddate() {
		return storeddate;
	}
	
	public void setStoreddate(Date storeddate) {
		this.storeddate = storeddate;
	}
	
	@ManyToOne(fetch = FetchType.EAGER)
	@JoinColumn(name = "parentfile", nullable = true)
	private File parentfile;
	
	public File getParentfile() {
		return parentfile;
	}
	
	public void setParentfile(File parentfile) {
		this.parentfile = parentfile;
	}
	
	@ManyToOne(fetch = FetchType.EAGER)
	@JoinColumn(name = "userid", nullable = false)
	private User user;
		
	public User getUser() {
		return this.user;
	}

	public void setUser(User user) {
		this.user = user;
	}
	
	@ManyToOne(fetch = FetchType.EAGER, cascade = CascadeType.ALL)
	@JoinColumn(name = "storedfileid", nullable = true)
	private StoredFile storedfile;
	
	public StoredFile getStoredfile() {
		return storedfile;
	}
	
	public void setStoredfile(StoredFile storedfile) {
		this.storedfile = storedfile;
	}	
}
