package edu.ouc.mycloud.service;

import java.util.ArrayList;
import java.util.List;
 
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.SimpleGrantedAuthority;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import edu.ouc.mycloud.model.User;
 
 
@Service("customUserDetailsService")
public class CustomUserDetailsService implements UserDetailsService{

	static final Logger logger = LoggerFactory.getLogger(CustomUserDetailsService.class);
    
    @Autowired
    private UserService userService;
	
    @Transactional(readOnly=true)
	public UserDetails loadUserByUsername(String userid) throws UsernameNotFoundException {
    	User user = userService.getUserByUserId(userid);
    	logger.info("User : {}", user);
    	if(user!=null){
    		
    	}    	
		return new org.springframework.security.core.userdetails.User(user.getUserid(), user.getPassword(), 
                true, true, true, true, getGrantedAuthorities(user));
	}
    
    private List<GrantedAuthority> getGrantedAuthorities(User user){
        List<GrantedAuthority> authorities = new ArrayList<GrantedAuthority>();
        
        if (user.getRol().getIsAdministrator())
        {
        	authorities.add(new SimpleGrantedAuthority("ROLE_ADMIN"));
        }
        authorities.add(new SimpleGrantedAuthority("ROLE_USER"));
                
        logger.info("authorities : {}", authorities);
        return authorities;
    }

}
