package edu.ouc.mycloud.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import edu.ouc.mycloud.dao.RolDAO;
import edu.ouc.mycloud.model.Rol;

@Service("rolService")
@Transactional
public class RolServiceImpl implements RolService {

	@Autowired
	private RolDAO rolDAO;

	public void setRolDAO(RolDAO rolDAO) {
		this.rolDAO = rolDAO;
	}
	
	@Transactional
	public void addRol(Rol rol) {
		this.rolDAO.addRol(rol);
	}

	@Transactional
	public void updateRol(Rol rol) {
		this.rolDAO.updateRol(rol);	
	}

	@Transactional
	public List<Rol> listRoles() {
		return this.rolDAO.listRoles();	
	}

	@Transactional
	public Rol getRolById(int id) {
		return this.rolDAO.getRolById(id);
	}

	@Transactional
	public void removeRol(int id) {
		this.rolDAO.removeRol(id);		
	}

	@Transactional
	public long getNumberOfRoles() {
		return this.rolDAO.getNumberOfRoles();
	}

}
