package edu.ouc.mycloud.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import edu.ouc.mycloud.dao.UserDAO;
import edu.ouc.mycloud.model.User;

@Service("userService")
@Transactional
public class UserServiceImpl implements UserService{

	@Autowired
	private UserDAO userDAO;

	public void setUserDAO(UserDAO userDAO) {
		this.userDAO = userDAO;
	}
	
	@Transactional
	public void addUser(User user) {
		this.userDAO.addUser(user);		
	}

	@Transactional
	public void updateUser(User user) {
		this.userDAO.updateUser(user);
	}

	@Transactional
	public List<User> listUsers() {
		return this.userDAO.listUsers();
	}

	@Transactional
	public User getUserById(int id) {
		return this.userDAO.getUserById(id);
	}

	@Transactional
	public void removeUser(int id) {
		this.userDAO.removeUser(id);		
	}

	@Override
	public User getUserByUserId(String userName) {
		return this.userDAO.getUserByUserId(userName);
	}

	@Override
	public long getNumberOfUsers() {
		return this.userDAO.getNumberOfUsers();
	}
}
