<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ page session="false" %>
<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Meta, title, CSS, favicons, etc. -->
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">

<title>Gestin de perfiles | MyCloud</title>

<c:import url="/WEB-INF/views/tags/headstyle.jsp" />
</head>

<body class="nav-md">
	<div class="container body">
		<div class="main_container">
			<div class="col-md-3 left_col">
				<div class="left_col scroll-view">										
					<c:import url="/WEB-INF/views/tags/headerdivision.jsp" />
					
					<div class="clearfix"></div>

					<!-- menu profile quick info -->
					<div class="profile">					
						<c:import url="/WEB-INF/views/tags/menuprofile.jsp" />
					</div>
					<!-- /menu profile quick info -->
					<br />
					<!-- sidebar menu -->					
						<c:import url="/WEB-INF/views/tags/menu.jsp" />					
					<!-- /sidebar menu -->

					<!-- /menu footer buttons -->
						<c:import url="/WEB-INF/views/tags/menufooterbuttons.jsp" />					
					<!-- /menu footer buttons -->
				</div>
			</div>

			<!-- top navigation -->			
				<c:import url="/WEB-INF/views/tags/topnavigation.jsp" />
			<!-- /top navigation -->

			<!-- page content -->
			<div class="right_col" role="main">
				<div class="">
					<div class="page-title">
						<div class="title_left">
							<h3>
								Gestin <small>perfiles</small>
							</h3>
						</div>						
					</div>

					<div class="clearfix"></div>

					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
								<div class="x_title">
									<h2>
										Listado <small>perfiles</small>
									</h2>									
									<div class="clearfix"></div>
								</div>
								<div class="x_content">
									<c:if test="${!empty listRoles}">
										<table id="datatable-responsive"
											class="table table-striped table-bordered dt-responsive nowrap"
											cellspacing="0" width="100%">
											<thead>
												<tr>
													<th>Description</th>
													<th>Administrador</th>
													<th>quota</th>		
													<th>Acciones</th>													
												</tr>
											</thead>
											<tbody>
												<c:forEach items="${listRoles}" var="rol">
													<tr>
														<td>${rol.description}</td>
														<td>
															<c:choose>
    															<c:when test="${rol.isAdministrator==true}">
        															Si
    															</c:when>    
    															<c:otherwise>
        															No
    															</c:otherwise>
															</c:choose>
														</td>
														<td>${rol.quota}</td>
														<td>
															<a href="<c:url value='/roles/edit/${rol.id}' />" class="btn btn-success btn-xs"><i class="fa fa-edit m-right-xs"></i> Editar</a>
															<a href="<c:url value='/roles/remove/${rol.id}' />" class="btn btn-danger btn-xs"><i class="fa fa-close m-right-xs"></i> Borrar</a>
														</td>																														
													</tr>
												</c:forEach>
											</tbody>
										</table>
									</c:if>
									<a href="<c:url value='/roles/add' />" class="btn btn-primary"><i class="fa fa-plus m-right-xs"></i> Aadir</a>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- /page content -->

			<!-- footer content -->
			<footer>
				<c:import url="/WEB-INF/views/tags/footercontent.jsp" />
			</footer>
			<!-- /footer content -->
		</div>
	</div>
	<c:import url="/WEB-INF/views/tags/footerstyle.jsp" />
	<!-- Datatables -->
	<script>
		$(document).ready(function() {						
			$('#datatable-responsive').dataTable({
			    "language": {
			        "sProcessing":    "Procesando...",
			        "sLengthMenu":    "Mostrar _MENU_ registros",
			        "sZeroRecords":   "No se encontraron resultados",
			        "sEmptyTable":    "Ningn dato disponible en esta tabla",
			        "sInfo":          "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
			        "sInfoEmpty":     "Mostrando registros del 0 al 0 de un total de 0 registros",
			        "sInfoFiltered":  "(filtrado de un total de _MAX_ registros)",
			        "sInfoPostFix":   "",
			        "sSearch":        "Buscar:",
			        "sUrl":           "",
			        "sInfoThousands":  ",",
			        "sLoadingRecords": "Cargando...",
			        "oPaginate": {
			            "sFirst":    "Primero",
			            "sLast":    "ltimo",
			            "sNext":    "Siguiente",
			            "sPrevious": "Anterior"
			        },
			        "oAria": {
			            "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
			            "sSortDescending": ": Activar para ordenar la columna de manera descendente"
			        }
			    }
			});						
		});
	</script>
	<!-- /Datatables -->
</body>
</html>