<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ page session="false"%>
<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Meta, title, CSS, favicons, etc. -->
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">

<title>Aadir fichero | MyCloud</title>

<c:import url="/WEB-INF/views/tags/headstyle.jsp" />
</head>

<body class="nav-md">
	<div class="container body">
		<div class="main_container">
			<div class="col-md-3 left_col">
				<div class="left_col scroll-view">
					<c:import url="/WEB-INF/views/tags/headerdivision.jsp" />

					<div class="clearfix"></div>

					<!-- menu profile quick info -->
					<div class="profile">
						<c:import url="/WEB-INF/views/tags/menuprofile.jsp" />
					</div>
					<!-- /menu profile quick info -->
					<br />
					<!-- sidebar menu -->
					<c:import url="/WEB-INF/views/tags/menu.jsp" />
					<!-- /sidebar menu -->

					<!-- /menu footer buttons -->
					<c:import url="/WEB-INF/views/tags/menufooterbuttons.jsp" />
					<!-- /menu footer buttons -->
				</div>
			</div>

			<!-- top navigation -->
			<c:import url="/WEB-INF/views/tags/topnavigation.jsp" />
			<!-- /top navigation -->

			<!-- page content -->
			<div class="right_col" role="main">
				<div class="">
					<div class="page-title">
						<div class="title_left">
							<h3>
								Gestin <small>ficheros</small>
							</h3>
						</div>
					</div>

					<div class="clearfix"></div>

					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
								<div class="x_title">
									<h2>
										Aadir <small>Fichero</small>
									</h2>
									<div class="clearfix"></div>
								</div>								
								<div class="x_content">
									<c:url var="addAction" value="/storage/savefile/${parentid}"></c:url>
									<form:form action="${addAction}" modelAttribute="document" enctype="multipart/form-data" commandName="document" id="form"
										data-parsley-validate="data-parsley-validate"
										class="form-horizontal form-label-left">	
										
										<c:if test="${param.error != null}">
											<c:choose>
   												<c:when test="${param.error == 1}">
													<div class="alert alert-danger">
														<p>Hay que seleccionar un fichero</p>
													</div>   												
   												</c:when>  
   												<c:when test="${param.error == 2}">
													<div class="alert alert-danger">
														<p>No se puede subir el fichero a un directorio de otro usuarios</p>
													</div>   												
   												</c:when>   
   												<c:when test="${param.error == 3}">
													<div class="alert alert-danger">
														<p>No se puede subir el fichero ya que supera su quota</p>
													</div>   												
   												</c:when>   												
   												<c:otherwise></c:otherwise>
											</c:choose>										
										</c:if>	
																			                    																																	
										<div class="form-group">
											<div class="col-md-6 col-sm-6 col-xs-12">         									
												<label class="btn btn-primary btn-upload" for="document" title="Seleccionar un fichero">
                          						<input type="file" class="sr-only" id="document" name="document" accept="*">
                          						<span class="docs-tooltip" data-toggle="tooltip" title="Import image with Blob URLs">
                            						<span class="fa fa-upload"></span>
                         						</span>
                        						</label>
											</div>
										</div>
											
																													
										<div class="ln_solid"></div>
										<div class="form-group">
											<div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
												<a href="<c:url value='/storage' />" class="btn btn-primary">Cancelar</a>
												<button type="submit" class="btn btn-success">Guardar</button>
											</div>
										</div>
									</form:form>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- /page content -->

			<!-- footer content -->
			<footer>
				<c:import url="/WEB-INF/views/tags/footercontent.jsp" />
			</footer>
			<!-- /footer content -->
		</div>
	</div>
	<c:import url="/WEB-INF/views/tags/footerstyle.jsp" />
</body>
</html>