<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ page session="false" %>
<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Meta, title, CSS, favicons, etc. -->
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">

<title>Gestin ficheros | MyCloud</title>

<c:import url="/WEB-INF/views/tags/headstyle.jsp" />
</head>

<body class="nav-md">
	<div class="container body">
		<div class="main_container">
			<div class="col-md-3 left_col">
				<div class="left_col scroll-view">										
					<c:import url="/WEB-INF/views/tags/headerdivision.jsp" />
					
					<div class="clearfix"></div>

					<!-- menu profile quick info -->
					<div class="profile">					
						<c:import url="/WEB-INF/views/tags/menuprofile.jsp" />
					</div>
					<!-- /menu profile quick info -->
					<br />
					<!-- sidebar menu -->					
						<c:import url="/WEB-INF/views/tags/menu.jsp" />					
					<!-- /sidebar menu -->

					<!-- /menu footer buttons -->
						<c:import url="/WEB-INF/views/tags/menufooterbuttons.jsp" />					
					<!-- /menu footer buttons -->
				</div>
			</div>

			<!-- top navigation -->			
				<c:import url="/WEB-INF/views/tags/topnavigation.jsp" />
			<!-- /top navigation -->

			<!-- page content -->
			<div class="right_col" role="main">
				<div class="">
					<div class="page-title">
						<div class="title_left">
							<h3>
								Gestin <small>ficheros</small>
							</h3>
						</div>						
					</div>
					<div class="clearfix"></div>
					<ol class="breadcrumb">
						<li><a href="<c:url value='/storage/' />">Inicio</a></li>
						<c:forEach items="${breadcrumb}" var="file">
							<li><a href="<c:url value='/storage/${file.id}' />">${file.filename}</a></li>
						</c:forEach>										
					</ol>    
					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
								<div class="x_title">
									<h2>
										Listado <small>ficheros</small>										
									</h2>									
									<div class="clearfix"></div>
								</div>								
								<div class="x_content">
										<table id="datatable-responsive"
											class="table table-striped table-bordered dt-responsive nowrap"
											cellspacing="0" width="100%">
											<thead>
												<tr>
													<th></th>
													<th>Fichero</th>
													<th>Almacenado</th>
													<th>Mb</th>
													<th>Propietario</th>
													<th>Acciones</th>													
												</tr>
											</thead>
											<tbody>
												<c:forEach items="${listFiles}" var="file">
													<tr>
														<td>
															<c:choose>
    															<c:when test="${file.isFolder==true}">
        															<i class="fa fa-folder-open-o"></i>
    															</c:when>    
    															<c:otherwise>
        															<i class="fa fa-file-excel-o"></i>
    															</c:otherwise>
															</c:choose>
														</td>
														<td>
															<c:choose>
   																<c:when test="${file.isFolder == false}">
																	<a target="_blank" href="<c:url value='/storage/download/${file.id}' />">
																		${file.filename}
																	</a>   												
   																</c:when> 
   																<c:when test="${file.isFolder == true}">
																	<a href="<c:url value='/storage/${file.id}' />">
																		${file.filename}
																	</a>   												
   																</c:when>   												   												
															</c:choose>																
														</td>
														<td>
															<fmt:formatDate pattern="yyyy-MM-dd" value="${file.storeddate}" />
														</td>														
														<td>
															<c:choose>
   																<c:when test="${file.isFolder == false}">
																	<fmt:formatNumber type="number" maxFractionDigits="2" value="${file.storedfile.filesize/(1024*1024)}" />   												
   																</c:when> 
   																<c:when test="${file.isFolder == true}">																	  											
   																</c:when>   												   												
															</c:choose>																
														</td>
														<td>
															<a href="<c:url value='/user/${file.user.id}' />">
																${file.user.name} ${file.user.surname}</td>
															</a>														
														<td>
															<a href="<c:url value='/storage/rename/${file.id}' />" class="btn btn-success btn-xs"><i class="fa fa-edit m-right-xs"></i> Renombrar</a>
															<button type="button" data-id="${file.id}" class="btn btn-danger btn-xs open-AddBookDialog" data-toggle="modal" data-target=".bs-example-modal-lg"><i class="fa fa-close m-right-xs"></i> Borrar</button>																														
															<c:choose>
    															<c:when test="${file.isFolder==false}">
        															<a href="<c:url value='/storage/sharedfile/${file.id}' />" class="btn btn-info btn-xs"><i class="fa fa-share-alt m-right-xs"></i> Compartir</a>
        															<a href="<c:url value='/storage/sharedfilewithmember/${file.id}' />" class="btn btn-info btn-xs"><i class="fa fa-share-alt m-right-xs"></i> Con miembros</a>
    															</c:when>        															
															</c:choose>															
														</td>																												
													</tr>
												</c:forEach>
											</tbody>
										</table>
										<c:choose>
											<c:when test="${breadcrumb.size()>0}">
												<a href="<c:url value='/storage/adddirectory/${breadcrumb.get(breadcrumb.size()-1).id}' />" class="btn btn-primary"><i class="fa fa-plus m-right-xs"></i> Directorio</a>
												<a href="<c:url value='/storage/addfile/${breadcrumb.get(breadcrumb.size()-1).id}' />" class="btn btn-primary"><i class="fa fa-plus m-right-xs"></i> Fichero</a>
    										</c:when>  
    										<c:otherwise>
        										<a href="<c:url value='/storage/adddirectory' />" class="btn btn-primary"><i class="fa fa-plus m-right-xs"></i> Directorio</a>
        										<a href="<c:url value='/storage/addfile' />" class="btn btn-primary"><i class="fa fa-plus m-right-xs"></i> Fichero</a>
    										</c:otherwise>      															
											</c:choose>
									
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- /page content -->

			<!-- footer content -->
			<footer>
				<c:import url="/WEB-INF/views/tags/footercontent.jsp" />
			</footer>
			<!-- /footer content -->
		</div>
	</div>
	
	
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true"></span>
				</button>
				<h4 class="modal-title" id="myModalLabel">Eliminar contenido</h4>
			</div>
			<div class="modal-body">
				<h4>Desea eliminar el contenido?</h4>
				<p>El contenido se eliminar y no podr ser recuperado.</p>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
				<a name="linkId" id="linkId" href="<c:url value='/storage/remove/' />" class="btn btn-primary">Confirmar</a>
			</div>
		</div>
	</div>
</div>	
	
		
	<c:import url="/WEB-INF/views/tags/footerstyle.jsp" />
	<!-- Datatables -->
	<script>
		$(document).on("click", ".open-AddBookDialog", function () {
	    	var url = "<c:url value='/storage/remove/' />"+$(this).data('id');
	     	$("#linkId").attr("href", url);
		});
	
		$(document).ready(function() {						
			$('#datatable-responsive').dataTable({
			    "language": {
			        "sProcessing":    "Procesando...",
			        "sLengthMenu":    "Mostrar _MENU_ registros",
			        "sZeroRecords":   "No se encontraron resultados",
			        "sEmptyTable":    "Ningn dato disponible",
			        "sInfo":          "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
			        "sInfoEmpty":     "Mostrando registros del 0 al 0 de un total de 0 registros",
			        "sInfoFiltered":  "(filtrado de un total de _MAX_ registros)",
			        "sInfoPostFix":   "",
			        "sSearch":        "Buscar:",
			        "sUrl":           "",
			        "sInfoThousands":  ",",
			        "sLoadingRecords": "Cargando...",
			        "oPaginate": {
			            "sFirst":    "Primero",
			            "sLast":    "ltimo",
			            "sNext":    "Siguiente",
			            "sPrevious": "Anterior"
			        },
			        "oAria": {
			            "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
			            "sSortDescending": ": Activar para ordenar la columna de manera descendente"
			        }
			    }
			});						
		});
	</script>
	<!-- /Datatables -->
</body>
</html>