<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ page session="false"%>
<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Meta, title, CSS, favicons, etc. -->
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">

<title>Compartir fichero | MyCloud</title>

<c:import url="/WEB-INF/views/tags/headstyle.jsp" />
</head>

<body class="nav-md">
	<div class="container body">
		<div class="main_container">
			<div class="col-md-3 left_col">
				<div class="left_col scroll-view">
					<c:import url="/WEB-INF/views/tags/headerdivision.jsp" />

					<div class="clearfix"></div>

					<!-- menu profile quick info -->
					<div class="profile">
						<c:import url="/WEB-INF/views/tags/menuprofile.jsp" />
					</div>
					<!-- /menu profile quick info -->
					<br />
					<!-- sidebar menu -->
					<c:import url="/WEB-INF/views/tags/menu.jsp" />
					<!-- /sidebar menu -->

					<!-- /menu footer buttons -->
					<c:import url="/WEB-INF/views/tags/menufooterbuttons.jsp" />
					<!-- /menu footer buttons -->
				</div>
			</div>

			<!-- top navigation -->
			<c:import url="/WEB-INF/views/tags/topnavigation.jsp" />
			<!-- /top navigation -->

			<!-- page content -->
			<div class="right_col" role="main">
				<div class="">
					<div class="page-title">
						<div class="title_left">
							<h3>
								Gestin <small>ficheros</small>
							</h3>
						</div>
					</div>

					<div class="clearfix"></div>

					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
								<div class="x_title">
									<h2>
										Compartir <small>Fichero: </small>
									</h2>
									<div class="clearfix"></div>
								</div>								
								<div class="x_content">
									<c:url var="addAction" value="/storage/saveshared"></c:url>
									<form:form action="${addAction}" commandName="shared" id="form"
										data-parsley-validate="data-parsley-validate"
										class="form-horizontal form-label-left">
										
										<c:if test="${param.error != null}">
											<c:choose>
   												<c:when test="${param.error == 1}">
													<div class="alert alert-danger">
														<p>El identificador de usuario ya est siendo utilizado</p>
													</div>   												
   												</c:when>   												
   												<c:otherwise></c:otherwise>
											</c:choose>										
										</c:if>				

										<div class="form-group">
                        					<label class="col-md-3 col-sm-3 col-xs-12 control-label">Opciones de comparticin
                          						<br>
                          						<small class="text-navy">Seleccione las opciones a utilizar</small>
                        					</label>

                        					<div class="col-md-9 col-sm-9 col-xs-12">
                          						<div class="checkbox">
                            						<label>
                              							<input type="checkbox" id="checkboxClave" name="checkboxClave"> Aadir clave de acceso
                            						</label>
                          						</div>
                          						<div class="checkbox">
                            						<label>
                              							<input type="checkbox" id="checkboxVencimiento" name="checkboxVencimiento" > Aadir fecha de vencimiento
                            						</label>
                          						</div>                          
                        					</div>
                      					</div>
                      					
                      					<form:hidden path="file.id" />
                      					<form:hidden path="file.filename" />
                      					
                      					<div class="form-group" id="divClave">
											<form:label path="password"
												class="control-label col-md-3 col-sm-3 col-xs-12" for="password">
												<spring:message text="Clave de acceso" />
												<span class="required"> *</span>
											</form:label>
											<div class="col-md-6 col-sm-6 col-xs-12">
												<form:input path="password" required="required" id="password"
													class="form-control col-md-7 col-xs-12" />
											</div>
										</div>
										
										<div class="form-group" id="divVencimiento">
											<form:label path="deadline"
												class="control-label col-md-3 col-sm-3 col-xs-12" for="deadline">
												<spring:message text="Fecha de vencimiento (dd/mm/aaaa)" />
												<span class="required"> *</span>
											</form:label>
											<div class="col-md-6 col-sm-6 col-xs-12">
												<form:input path="deadline" required="required" id="deadline"
													class="form-control col-md-7 col-xs-12" data-inputmask="'mask': '99/99/9999'" />	
											</div>
										</div>

										<div class="ln_solid"></div>
										<div class="form-group">
											<div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
												<input type="submit" class="btn btn-primary"
													value="<spring:message text="Aceptar"/>" />
											</div>
										</div>
									</form:form>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- /page content -->

			<!-- footer content -->
			<footer>
				<c:import url="/WEB-INF/views/tags/footercontent.jsp" />
			</footer>
			<!-- /footer content -->
		</div>
	</div>
	<c:import url="/WEB-INF/views/tags/footerstyle.jsp" />
	
	<script>	
	$(document).ready(function() {
	    //set initial state.
	    $( "#password" ).removeAttr('required');
	    $( "#divClave" ).hide();
	    $( "#deadline" ).removeAttr('required');
	    $( "#divVencimiento" ).hide();

	    $('#checkboxClave').change(function() {
	        if($(this).is(":checked")) {
	            $( "#divClave" ).show();
	            $( "#password" ).prop('required',true);
	        }
	        else
	        {
	        	$( "#password" ).val("");
	        	$( "#password" ).removeAttr('required');
	        	$( "#divClave" ).hide();
	        }
	    });
	    
	    $('#checkboxVencimiento').change(function() {
	        if($(this).is(":checked")) {
	            $( "#divVencimiento" ).show();	
	            $( "#deadline" ).prop('required',true);	           
	        }
	        else
	        {
	        	$( "#deadline" ).val("");
	        	$( "#deadline" ).removeAttr('required');
	        	$( "#divVencimiento" ).hide();
	        }
	    });
	});
	</script>
		
</body>
</html>