<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ page session="false"%>
<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Meta, title, CSS, favicons, etc. -->
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">

<title>Aadir usuario | MyCloud</title>

<c:import url="/WEB-INF/views/tags/headstyle.jsp" />
</head>

<body class="nav-md">
	<div class="container body">
		<div class="main_container">
			<div class="col-md-3 left_col">
				<div class="left_col scroll-view">
					<c:import url="/WEB-INF/views/tags/headerdivision.jsp" />

					<div class="clearfix"></div>

					<!-- menu profile quick info -->
					<div class="profile">
						<c:import url="/WEB-INF/views/tags/menuprofile.jsp" />
					</div>
					<!-- /menu profile quick info -->
					<br />
					<!-- sidebar menu -->
					<c:import url="/WEB-INF/views/tags/menu.jsp" />
					<!-- /sidebar menu -->

					<!-- /menu footer buttons -->
					<c:import url="/WEB-INF/views/tags/menufooterbuttons.jsp" />
					<!-- /menu footer buttons -->
				</div>
			</div>

			<!-- top navigation -->
			<c:import url="/WEB-INF/views/tags/topnavigation.jsp" />
			<!-- /top navigation -->

			<!-- page content -->
			<div class="right_col" role="main">
				<div class="">
					<div class="page-title">
						<div class="title_left">
							<h3>
								Gestin <small>Usuarios</small>
							</h3>
						</div>
					</div>
					
					<div class="clearfix"></div>
					
					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
								<div class="x_title">
									<h2>
										Aadir <small>usuario</small>
									</h2>
									<div class="clearfix"></div>
								</div>
								<div class="x_content">	
									<c:url var="addAction" value="/users/updatepassword"></c:url>
									<form:form action="${addAction}" commandName="userPass" id="form"
										data-parsley-validate="data-parsley-validate"
										class="form-horizontal form-label-left">
												
										<c:if test="${param.error != null}">
											<c:choose>
   												<c:when test="${param.error == 1}">
													<div class="alert alert-danger">
														<p>La clave antigua no es correcta</p>
													</div>   												
   												</c:when>
   												<c:when test="${param.error == 2}">
   													<div class="alert alert-danger">
														<p>La nueva clave no coincide con su repeticin</p>
													</div>
												</c:when>
   												<c:when test="${param.error == 3}">
   													<div class="alert alert-danger">
														<p>La clave antigua no es correcta y la nueva clave no coincide con su repeticin.</p>
													</div>
   												</c:when>
   												<c:otherwise></c:otherwise>
											</c:choose>										
										</c:if>	

										<form:hidden path="userId" />										
										
										<div class="form-group">
											<form:label path="oldPassword"
												class="control-label col-md-3 col-sm-3 col-xs-12" for="oldPassword">
												<spring:message text="Clave antigua" />
												<span class="required"> *</span>
											</form:label>
											<div class="col-md-6 col-sm-6 col-xs-12">
												<form:password path="oldPassword" required="required"
													class="form-control col-md-7 col-xs-12" />
											</div>
										</div>
										
										<div class="form-group">
											<form:label path="newPassword"
												class="control-label col-md-3 col-sm-3 col-xs-12" for="newPassword">
												<spring:message text="Nueva clave" />
												<span class="required"> *</span>
											</form:label>
											<div class="col-md-6 col-sm-6 col-xs-12">
												<form:password path="newPassword" required="required"
													class="form-control col-md-7 col-xs-12" />
											</div>
										</div>
										
										<div class="form-group">
											<form:label path="newPasswordRepeted"
												class="control-label col-md-3 col-sm-3 col-xs-12" for="newPasswordRepeted">
												<spring:message text="Nueva clave repetida" />
												<span class="required"> *</span>
											</form:label>
											<div class="col-md-6 col-sm-6 col-xs-12">
												<form:password path="newPasswordRepeted" required="required"
													class="form-control col-md-7 col-xs-12" />
											</div>
										</div>
																				
										<div class="ln_solid"></div>
										<div class="form-group">
											<div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
												<input type="submit" class="btn btn-primary"
													value="<spring:message text="Aceptar"/>" />
											</div>
										</div>
									</form:form>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- /page content -->

			<!-- footer content -->
			<footer>
				<div class="pull-right">
					<c:import url="/WEB-INF/views/tags/footercontent.jsp" />
				</div>
				<div class="clearfix"></div>
			</footer>
			<!-- /footer content -->
		</div>
	</div>

	<c:import url="/WEB-INF/views/tags/footerstyle.jsp" />


	<!-- Select2 -->
	<script>
		$(document).ready(function() {
			$(".select2_single").select2({
				placeholder : "Seleccionar",
				allowClear : true
			});
		});
	</script>
	<!-- /Select2 -->
</body>
</html>